Create Order

Purpose:

Creates an order directly from the backend without buyer interaction.

Preconditions:

  • All the order related data is present

Success:

  • Response Code: HTTP 200
  • Response body: state -> created
  • Response body: uuid -> ID of the created order

Attention:

This call should be used when the buyer consent is received by another channel.

Body Params
amount
object
required

The amount object with split values for net, gross and tax

string
length ≤ 255
integer
required
1 to 120
string
length ≤ 255
delivery_address
object
debtor
object
required
debtor_person
object
required
line_items
array of objects
required
line_items*
additional_billing_emails
array of strings
Defaults to
additional_billing_emails
Responses

Language
Credentials
OAuth2
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json